<!DOCTYPE html>
<html>
<head>
	<title>Objeto XMLHTTPRequest</title>
	<script type="text/javascript">
		function enPantalla(text){
			let element = document.getElementById('container');
			element.textContent = text;
		}

		function enconsola(text){
			console.log(text)
		}

	</script>
</head>
<body>
	<section id="container">
		Respuesta a petición:
	</section>

	<script type="text/javascript">	
		const req = new XMLHttpRequest();
		
		// listener para solicitudes completadas
		req.onload = function () {

			// Procesa los datos de devolucion
			if (req.status >= 200 && req.status < 300) {
				// que se tiene que hacer con los datos
				enconsola( ['success!', req]);
				// ?? 
			} else {
				// que hacemos cuando falla
				enconsola('fallooooooo!!!!! !');
			}
			//Este código se ejecuta de independiente de la solicitud
			enconsola('siempre ejecutar');
		};

		//se abre una nueva solicitud ASINCRONA [true]
		req.open('GET', 'https://jsonplaceholder.typicode.com/posts/1', true ); 
		req.send(); //se envia la solicitud 
 
	</script>
</body>
</html>